#include<stdio.h>
main()
{
	long long i,j,a[1000000],n,x,min,max;
	scanf("%lld%lld",&n,&x);
	for(i=1;i<=n;i++) scanf("%lld",&a[i]);
	max=a[1];
	min=a[1];
	for(i=2;i<=n;i++)
	{
	if(a[i]>max) max=a[i];
	if(a[i]<min) min=a[i];
	}
	if(max>x && min>x) printf("%lld",max-x);
	if(min<x && max<x) printf("%lld",x-min);
	if(min<x && max>x)
	{
		if(max-x>x-min) printf("%lld",max-x+2*(x-min));
		else if(max-x<x-min) printf("%lld",2*(max-x)+x-min);
		else printf("%lld",3*(max-x));
	}
}